
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			main.c
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date			2019-10-1 09:00:00
 * @brief			Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "digital_seg.h"
#include "systick.h"
#include "uart.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(void)
{
	SystemInit();//system init
	SystickInit();//sistick init
	DigitalSegInit();//digital segment init
	UartInit(115200);//uart0 init
	
	printf("----------------------------------\r\n");
	printf("==      GowinSemiconductor      ==\r\n");
	printf("----------------------------------\r\n");
	printf("\r\n");
	printf("System initialized sucessfully.\r\n");
	printf("Systick initialized successfully.\r\n");
	printf("Uart0 initialized successfully.\r\n");
	printf("Digital segment initialized successfully.\r\n");
	printf("Led initialized successfully.\r\n");
	
	printf("\r\n");
	printf("Digital segment display :\r\n");
  while(1)
	{
		DigitalSegDisplay();
	}
}
