/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			main.c
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date			2019-10-1 09:00:00
 * @brief			Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "malloc.h"

#include <stdio.h>
#include <stdlib.h>

void UartInit(void);

int main()
{
	char* buff;
	int i;
	
	SystemInit(); //initialize system
	UartInit();   //initialize uart0
	mem_init();   //initialize mm
	
  UART_SendString(UART0,"\r\nmemory management\r\n");
	
	buff = (char*)mymalloc(100);
	buff = "Hello World, GOWINSEMICONDUCTOR welcome you!\r\n";

  for(i=0;i<10;i++)
	{
		UART_SendString(UART0,buff);
	}
	
	myfree(buff);
	
	while(1);
}

void UartInit(void)
{
  UART_InitTypeDef UART_InitStruct;
	
  UART_InitStruct.UART_Mode.UARTMode_Tx = ENABLE;
  UART_InitStruct.UART_Mode.UARTMode_Rx = ENABLE;
  UART_InitStruct.UART_Int.UARTInt_Tx = DISABLE;
  UART_InitStruct.UART_Int.UARTInt_Rx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Tx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Rx = DISABLE;
  UART_InitStruct.UART_Hstm = DISABLE;
  UART_InitStruct.UART_BaudRate = 115200;//Baud Rate
	
  UART_Init(UART0,&UART_InitStruct);
}
