/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			digital_seg.h
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date			2019-10-1 09:00:00
 * @brief			Digital seg header file.
 ******************************************************************************************
 */

#ifndef DIGITAL_SEG_H
#define DIGITAL_SEG_H

/* Includes ------------------------------------------------------------------*/
#include "gw1ns2c.h"
#include <stdio.h>

/* Macros ------------------------------------------------------------------*/
//Led ports
#define LED1 GPIO_Pin_0
#define LED2 GPIO_Pin_1
#define LED3 GPIO_Pin_2
#define LED4 GPIO_Pin_3

//Digital segment ports
#define DIG_SEL_1 GPIO_Pin_5
#define DIG_SEL_2 GPIO_Pin_6
#define DIG_SEL_3 GPIO_Pin_7
#define DIG_SEL_4 GPIO_Pin_8
#define DIG_A GPIO_Pin_9
#define DIG_B GPIO_Pin_10
#define DIG_C GPIO_Pin_11
#define DIG_D GPIO_Pin_12
#define DIG_E GPIO_Pin_13
#define DIG_F GPIO_Pin_14
#define DIG_G GPIO_Pin_15

/* Functions ------------------------------------------------------------------*/
void DigitalSegInit(void);
void DigitalSegDisplay(void);

#endif
